Bug 739309 - mount.gmailfs seems completely broken
Summary: mount.gmailfs seems completely broken
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fuse-gmailfs
Version: 15
Hardware: i386
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-17 12:46 UTC by Andras Simon
Modified: 2012-08-06 20:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Andras Simon 2011-09-17 12:46:20 UTC
Description of problem:

mount.gmailfs returns a traceback and does not mount gmail fs. 

Version-Release number of selected component (if applicable):
0:0.8.0-6.fc15

How reproducible:
Always. See below.

Steps to Reproduce:
1. mount.gmailfs none ~/gmailfs/ -o username=XXX,fsname=linux_fs_3 -p

  
Actual results:
Gmail password:
Traceback (most recent call last):
  File "/sbin/mount.gmailfs", line 155, in <module>
    pyfile, mountpoint, namedOptions, useEncfs = parseCommandLineArgs(sys.argv[1:])
  File "/sbin/mount.gmailfs", line 67, in parseCommandLineArgs
    log.error("file %s doesn't exist, or is not a file" % pyfile)
NameError: global name 'log' is not defined


Expected results:
Mounting a gmail fs.

Additional info:

DEFAULT_GMAILFS_LOCATION in mount.gmailfs should probably be /usr/share/fuse-gmailfs/gmailfs.py instead of /usr/share/gmailfs/gmailfs.py, which does not exist in F15.

But even if I start mount.gmailfs with 

mount.gmailfs /usr/share/fuse-gmailfs/gmailfs.py ~/gmailfs/ -o username=XXX,fsname=linux_fs_3 -p

(which I think is a possible workaround), I get 

 Gmail password: 
09/17/11 13:36:09 ERROR      OpenSSLProxy is missing. Can't use HTTPS proxy!
09/17/11 13:36:09 INFO       waiting for /home/simon/gmailfs to become a mountpoint
09/17/11 13:36:09 INFO       Starting gmailfs in child process (PID 8522)
09/17/11 13:36:09 INFO       Mountpoint: /home/simon/gmailfs
09/17/11 13:36:09 INFO       Named mount options: {'username': 'XXX', 'password': '********', 'fsname': 'linux_fs_3'}
Traceback (most recent call last):
  File "/sbin/mount.gmailfs", line 164, in <module>
    main(mountpoint, namedOptions, useEncfs)
  File "/sbin/mount.gmailfs", line 90, in main
    gmailfs.main(mountpoint, namedOptions)
  File "/usr/share/fuse-gmailfs/gmailfs.py", line 1172, in main
    server = Gmailfs(namedOptions,mountpoint,version="gmailfs 0.8.0",usage='',dash_s_do='setsingle')
  File "/usr/share/fuse-gmailfs/gmailfs.py", line 608, in __init__
    self.ga.login()
  File "/usr/lib/python2.7/site-packages/libgmail.py", line 305, in login
    pageData = self._retrievePage(req)
  File "/usr/lib/python2.7/site-packages/libgmail.py", line 340, in _retrievePage
    req = ClientCookie.Request(urlOrRequest)
  File "/usr/lib/python2.7/site-packages/mechanize/_request.py", line 31, in __init__
    if not _rfc3986.is_clean_uri(url):
  File "/usr/lib/python2.7/site-packages/mechanize/_rfc3986.py", line 62, in is_clean_uri
    return not bool(BAD_URI_CHARS_RE.search(uri))
TypeError: expected string or buffer
09/17/11 13:36:10 ERROR      gmailfs child died, exiting...

Comment 1 Fedora End Of Life 2012-08-06 20:06:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2012-08-06 20:06:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.